#!/bin/sh
# Builds the docs for this repo. Open "target/docs/doc/README.html" in a browser to view them.
# NOTE: This script must be run from the "./doc" subdirectory of the repo.
set -e

RUSTDOCFLAGS="--index-page $PWD/../README.md -Zunstable-options --markdown-css rustdoc/rust.css --markdown-no-toc"\
  cargo doc --no-deps
cd ..
rsync -ra --delete target/doc/ website/static/rustdoc/
cp doc/rust.css website/static/rustdoc
cd website
hugo